<!DOCTYPE html>
<html lang="en">

<head>

    <title>Task 29.160</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.4.js"
        integrity="sha256-a9jBBRygX1Bh5lt8GZjXDzyOB+bWve9EiO7tROUtj/E=" crossorigin="anonymous"></script>

</head>

<body>
    <div class="container">
        <div class="row  border-danger text-center">
            <div class="col-sm-12">
                <h3>Pricing</h3>
                Choose a payment plan that works for you
            </div>
        </div>
        <div class="row  border-info">
            <div class="col-sm-12">
                <div class="row  border-info">
                    <div class="col-sm-4  ">
                        <div class="row card  ">
                            <div class="card-header bg-dark text-white text-center">
                                <h3>Basic</h3>
                            </div>
                            <div class="card-body text-center">
                                <p> 20 Lorem </p>
                                <p> 15 ipsum </p>
                                <p> 5 Dolor </p>
                                <p> 2 Sit </p>
                                <p> Endless Amet</p>
                            </div>
                            <div class="card-footer text-center">
                                <p> $19 </p>
                                <b>per month</b><br><br>
                                <button id="btn-basic" class="btn btn-info" data-is-selected="N">Sign Up</button>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-4  ">
                        <div class="row card  ">
                            <div class="card-header bg-secondary text-white text-center">
                                <h3>Pro</h3>
                            </div>
                            <div class="card-body text-center">
                                <p> 50 Lorem </p>
                                <p> 25 ipsum </p>
                                <p> 10 Dolor </p>
                                <p> 5 Sit </p>
                                <p> Endless Amet</p>
                            </div>
                            <div class="card-footer text-center">
                                <p> $29 </p>
                                <b>per month</b><br><br>
                                <button id="btn-pro" class="btn btn-info" data-is-selected="N">Sign Up</button>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-4  ">
                        <div class="row card  ">
                            <div class="card-header bg-dark text-white text-center">
                                <h3>Premium</h3>
                            </div>
                            <div class="card-body text-center">
                                <p> 100 Lorem </p>
                                <p> 50 ipsum </p>
                                <p> 25 Dolor </p>
                                <p> 10 Sit </p>
                                <p> Endless Amet</p>
                            </div>
                            <div class="card-footer text-center">
                                <p> $49 </p>
                                <b>per month</b><br><br>
                                <button id="btn-premium" class="btn btn-info" data-is-selected="N">Sign Up</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</body>
<script>
    $(document).ready(function(){
      $("#btn-basic").on("click",function(){
        onBtnSignBasic();
      });
      $("#btn-pro").on("click",function(){
        onBtnSignPro();
      });
      $("#btn-premium").on("click",function(){
        onBtnSignPremium();
      })
    })
    //
    function onBtnSignBasic()
    {
        changeColorButton("Basic");
    }
    function onBtnSignPro()
    {
        changeColorButton("Pro");
    }
    function onBtnSignPremium()
    {
        changeColorButton("Premium");
    }
    //
    function changeColorButton(paramButton)
    {
        var vBasic = $("#btn-basic");
        var vPro = $("#btn-pro");
        var vPremium = $("#btn-premium");
        if(paramButton === "Basic")
        {
            vBasic.removeClass()
            .addClass("btn btn-success");
            vPro.removeClass()
            .addClass("btn btn-info");
            vPremium.removeClass()
            .addClass("btn btn-info");
        }
        else if(paramButton === "Pro")
        {
            vBasic.removeClass()
            .addClass("btn btn-info");
            vPro.removeClass()
            .addClass("btn btn-success");
            vPremium.removeClass()
            .addClass("btn btn-info");
        }
        else if(paramButton === "Premium")
        {
            vBasic.removeClass()
            .addClass("btn btn-info");
            vPro.removeClass()
            .addClass("btn btn-info");
            vPremium.removeClass()
            .addClass("btn btn-success");
        }
    }
</script>

</html>